# Method: projects.locations.jobs.list

- [HTTP request](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.ListJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs/list#try-it)

List all Jobs for a project within a region.

### HTTP request

`GET https://batch.googleapis.com/v1/{parent=projects/*/locations/*}/jobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent path. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` List filter. |
| `orderBy` | `string` Optional. Sort results. Supported are "name", "name desc", "create_time", and "create_time desc". |
| `pageSize` | `integer` Page size. |
| `pageToken` | `string` Page token. |

### Request body

The request body must be empty.

### Response body

ListJob Response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs#Job`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs#Job`)`` Jobs. |
| `nextPageToken` | `string` Next page token. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).